de.vc.io.rtf.parser

## Class Definitions

- java.lang.Object
- - de.vc.io.rtf.parser.Definitions

-     public class Definitions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `charset`
    `static int` | `CHARSET_ANSI`
    `static int` | `CHARSET_APPLE`
    `static int` | `CHARSET_IBM_CP437`
    `static int` | `CHARSET_IBM_CP850`
    `Style[]` | `charStyles`
    `java.util.ArrayList<java.awt.Color>` | `colorTable`
    `int` | `defaultFontNr`
    `int` | `defaultLanguage`
    `int` | `defaultLanguageFarEast`
    `int` | `defaultTabSize`
    `DocInfo` | `docInfo`
    `FontInfo[]` | `fontTable`
    `int` | `footnoteCounter`
    `ListOverrideTable` | `listOverrideTable`
    `ListTable` | `listTable`
    `Style[]` | `paraStyles`
    `static int` | `REVISION_DISPLAY_STYLE_BOLD`
    `static int` | `REVISION_DISPLAY_STYLE_DBL_UNDERLINE`
    `static int` | `REVISION_DISPLAY_STYLE_ITALIC`
    `static int` | `REVISION_DISPLAY_STYLE_NONE`
    `static int` | `REVISION_DISPLAY_STYLE_UNDERLINE`
    `int` | `revisionProperties`
    `SectionProperties` | `sectionDefaults`
    `Style[]` | `sectStyles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Definitions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyDefaultFontName(TextProperties tp)`
    `java.awt.Color` | `getColor(int nr, java.awt.Color def)`
    `java.lang.String` | `getDefaultEncoding()`
    `FontInfo` | `getDefaultFont()`
    `Measure` | `getDefaultTabSize()`
    `FontInfo` | `getFont(int nr)`
    `static java.awt.Color` | `getHighLight(int idx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHARSET_ANSI

          public static final int CHARSET_ANSI

      See Also:
        Constant Field Values

    - #### CHARSET_APPLE

          public static final int CHARSET_APPLE

      See Also:
        Constant Field Values

    - #### CHARSET_IBM_CP437

          public static final int CHARSET_IBM_CP437

      See Also:
        Constant Field Values

    - #### CHARSET_IBM_CP850

          public static final int CHARSET_IBM_CP850

      See Also:
        Constant Field Values

    - #### charset

          public int charset

    - #### defaultFontNr

          public int defaultFontNr

    - #### sectionDefaults

          public SectionProperties sectionDefaults

    - #### footnoteCounter

          public int footnoteCounter

    - #### defaultLanguage

          public int defaultLanguage

    - #### defaultLanguageFarEast

          public int defaultLanguageFarEast

    - #### defaultTabSize

          public int defaultTabSize

    - #### fontTable

          public FontInfo[] fontTable

    - #### colorTable

          public java.util.ArrayList<java.awt.Color> colorTable

    - #### docInfo

          public DocInfo docInfo

    - #### listTable

          public ListTable listTable

    - #### listOverrideTable

          public ListOverrideTable listOverrideTable

    - #### charStyles

          public Style[] charStyles

    - #### paraStyles

          public Style[] paraStyles

    - #### sectStyles

          public Style[] sectStyles

    - #### REVISION_DISPLAY_STYLE_NONE

          public static final int REVISION_DISPLAY_STYLE_NONE

      See Also:
        Constant Field Values

    - #### REVISION_DISPLAY_STYLE_BOLD

          public static final int REVISION_DISPLAY_STYLE_BOLD

      See Also:
        Constant Field Values

    - #### REVISION_DISPLAY_STYLE_ITALIC

          public static final int REVISION_DISPLAY_STYLE_ITALIC

      See Also:
        Constant Field Values

    - #### REVISION_DISPLAY_STYLE_UNDERLINE

          public static final int REVISION_DISPLAY_STYLE_UNDERLINE

      See Also:
        Constant Field Values

    - #### REVISION_DISPLAY_STYLE_DBL_UNDERLINE

          public static final int REVISION_DISPLAY_STYLE_DBL_UNDERLINE

      See Also:
        Constant Field Values

    - #### revisionProperties

          public int revisionProperties

  - ### Constructor Detail

    - #### Definitions

          public Definitions()

  - ### Method Detail

    - #### getDefaultFont

          public FontInfo getDefaultFont()

    - #### getFont

          public FontInfo getFont(int nr)

    - #### getColor

          public java.awt.Color getColor(int nr,
                                java.awt.Color def)

    - #### getHighLight

          public static java.awt.Color getHighLight(int idx)

    - #### applyDefaultFontName

          public void applyDefaultFontName(TextProperties tp)

    - #### getDefaultEncoding

          public java.lang.String getDefaultEncoding()

    - #### getDefaultTabSize

          public Measure getDefaultTabSize()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.